#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_without	opencl		# OpenCL features
#
Summary:	Open-source decoder of AVS2-P2/IEEE1857.4 video coding standard
Summary(pl.UTF-8):	Dekoder standardu kodowania obrazu AVS2-P2/IEEE1857.4 o otwartych źródłach
Name:		davs2
Version:	1.7
Release:	1
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/pkuvcl/davs2/tags
Source0:	https://github.com/pkuvcl/davs2/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d1558a5413b6691ad9c867cbd5c765aa
Patch0:		%{name}-extern.patch
Patch1:		%{name}-x86.patch
Patch2:		%{name}-opt.patch
URL:		https://github.com/pkuvcl/davs2
%{?with_opencl:BuildRequires:	OpenCL-devel}
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.674
BuildRequires:	sed >= 4.0
%ifarch %{ix86} %{x8664}
BuildRequires:	yasm >= 1.2.0
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Open-source decoder of AVS2-P2/IEEE1857.4 video coding standard.

%description -l pl.UTF-8
Dekoder standardu kodowania obrazu AVS2-P2/IEEE1857.4 o otwartych
źródłach.

%package devel
Summary:	Header files for davs2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki davs2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for davs2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki davs2.

%package static
Summary:	Static davs2 library
Summary(pl.UTF-8):	Statyczna biblioteka davs2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static davs2 library.

%description static -l pl.UTF-8
Statyczna biblioteka davs2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd build/linux
# not autoconf configure
CC="%{__cc}" \
CXX="%{__cxx}" \
CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcxxflags}" \
CPPFLAGS="%{rpmcppflags}" \
LDFLAGS="%{rpmldflags} -Wl,-z,noexecstack" \
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
%ifarch x32
	--disable-asm \
%endif
	%{!?with_opencl:--disable-opencl} \
	--enable-pic \
	--enable-shared \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/linux install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%lang(zh) %doc README.zh.md
%attr(755,root,root) %{_bindir}/davs2
%attr(755,root,root) %{_libdir}/libdavs2.so.16

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdavs2.so
%{_includedir}/davs2.h
%{_includedir}/davs2_config.h
%{_pkgconfigdir}/davs2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdavs2.a
%endif
%changelog
* Wed Apr 05 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/davs2.git;a=log;h=master

* Wed Apr 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 3fac8fd
- updated to 1.7
- added x86 patch (restore IA32 compatibility)

* Wed Aug 07 2019 Jakub Bogusz <qboosh@pld-linux.org> e1c9815
- added opt patch (drop -m32/-m64, rely on compiler default), disable asm on x32; release 2

* Sun Jul 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 4876ed5
- new

